
Figure - Bug #116111
【BSP】【EVT3】【ST】【Eth0】User版本烧机后执行adb reboot无法获取IP地址
2023-02-09 10:38 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-09

Priority: High Due date: 2023-02-15

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VC1_FSE_0078_20230228

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 重启时MCU未重新计时

Description

【前提条件】

None

【测试步骤】

1. 正常连接以太网盒子，设备正常开机

2. 在开机状态下执行adb reboot

3. 查看设备网络连接情况

【预期结果】

1 设备正常工作，以太网可以获取到IP

3.重启后，设备正常工作，以太网可以获取到IP

【实际结果】

1 有一台设备断电-重启不能获取到IP，其余设备可以获取IP

3. adb reboot重启后，获取不到IP地址；

【其他信息】

1. Uerdebug 可以断电-上电可以获取IP，adb reboot 也可以获取IP

2. User版本可以断电-上电可以获取IP（有一台不行），adb reboot 都不能获取IP

3. 设备Qfile烧机后直接启动（勾选工具reset）不能获取IP，需要断电-上电一次才行

4. 执行FDR后同样不能获取IP，需要断电-上电一次才行

History

#1 - 2023-02-09 15:50 - CD BSP-杜磊

- Status changed from New to NEED_INFO

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 30

1. 关于异常板子STS53M22002V上电开机后，以太网无法获取IP的问题分析如下：

https://thundersoft.feishu.cn/docx/EmcCdsvKQoQoYmxVmlCcSyBcn1d

２．系统重启后，以太网无法获取的修改，　VB版本如下，　需要帮忙测试，

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302090959-2515/FlatBuild_HH_VX1_MCE_FSE.M.D.user.0

1.00.X101.202302091239.zip
https://thundersoft.feishu.cn/docx/EmcCdsvKQoQoYmxVmlCcSyBcn1d
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302090959-2515/FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302091239.zip
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302090959-2515/FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302091239.zip


#2 - 2023-02-09 19:00 - 移动测试一组_CDTS 刘强

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD BSP-杜磊

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302091239.zip

验证结果：

VC1 V03 adb reboot 10次可以获取IP；断电重启10次可以获取IP；FDR 5次可以获取IP

VX1 V02 adb reboot 5次可以获取IP，断电重启5次可以获取IP，FDR 1次后可以获取IP

但存在一个新问题：116140 【BSP】【EVT3】【ST】【Eth0】User版本烧机启动获取IP地址后，操作设备点击Settings中的选项，设备掉网，IP地址消失

#3 - 2023-02-10 14:09 - CD BSP-杜磊

Hi, 刘强

如下VB,代码做了小的优化改动，帮忙再验一下，谢谢！

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529

#4 - 2023-02-14 11:09 - CDTS-TEST 周婷

- Due date set to 2023-02-15

#5 - 2023-02-14 13:55 - CD BSP-杜磊

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

#6 - 2023-02-15 15:31 - 移动测试一组_CDTS 刘强

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD BSP-杜磊

验证版本：

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529

VC1 V03 adb reboot 10次可以获取IP；断电重启10次可以获取IP；FDR 10次可以获取IP

VX1 V02 adb reboot 5次可以获取IP，断电重启5次可以获取IP，FDR 10次后可以获取IP

#7 - 2023-02-17 09:51 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#8 - 2023-02-20 10:03 - CD BSP-杜磊

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Root cause set to 重启时MCU未重新计时

#9 - 2023-02-20 16:11 - 移动测试一组_CDTS 刘强
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529
- Status changed from RESOLVED to VERIFIED

验证版本：

User：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

Userdebug：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202302180013

VX-User/Userbug 验证刷机后第一次启动-adb reboot-断电重启、FDR 后均能获取IP

VC-User/Userbug 验证刷机后第一次启动-adb reboot-断电重启、FDR 后均能获取IP

#10 - 2023-02-20 16:11 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
